Mac Rails install-- error: Error al instalar Rails: formato de gema no válido para /Users/..../cache/railties-3.2.3.gem

Usando el tutorial de Ruby on Rails para OSX aquí: http://ruby.railstutorial.org/book/ruby-on-rails-tutorial

Dice instalar los rieles a través de "$ gem install rails -v 3.2.3", y cuando lo hago, aparece el error

Error al instalar rieles:
formato de gema no válido para /Users//.rvm/gems/ruby-1.9.3-p194@rails3tutorial2ndEd/cache/railties-3.2.3.gem

preguntado el 03 de mayo de 12 a las 21:05

Esto no está solucionando exactamente el problema, pero para evitarlo simplemente hice $ gem install rails -v 3.2.2 Tenga en cuenta que es v 3.2.2 en lugar de 3.2.3. Espero que no me afecte más adelante en el tutorial :-) -

1 Respuestas

Parece que tus dependencias de gemas se estropearon. Vuelva a instalar todas sus gemas con este comando:

gem pristine --all --no-extensions

contestado el 06 de mayo de 12 a las 22:05

No es la respuesta que estás buscando? Examinar otras preguntas etiquetadas or haz tu propia pregunta.